silos = {
    "IndieWeb.rocks": ("indieweb.rocks", [r"([\w\.]+)"], True),
    "GitHub": ("github.com", [r"(\w+)"], True),
    "Keybase": ("keybase.io", [r"(\w+)"], True),
    "sourcehut": ("sr.ht", [r"~(\w+)"], True),
    "IndieWeb": ("indieweb.org", [r"User:([\w.]+)"]),
    "PyPI": ("pypi.org", [r"user/([\w.]+)"]),
    "Micro.blog": ("micro.blog", [r"(\w+)"]),
    "Twitter": ("twitter.com", [r"(\w+)"]),
    "Reddit": ("reddit.com", [r"u/(\w+)", r"user/(\w+)"]),
    "Facebook": ("facebook.com", [r"(\w+)"]),
    "Instagram": ("instagram.com", [r"(\w+)"]),
    "LinkedIn": ("linkedin.com", [r"in/(\w+)"]),
    "Foursquare": ("foursquare.com", [r"user/(\d+)", r"(\w+)"]),
    "Last.fm": ("last.fm", [r"user/(\w+)"]),
    "Flickr": ("flickr.com", [r"people/(\w+)", r"(\w+)"]),
    "Amazon": ("amazon.com", [r"shop/(\w+)"]),
    "Dribbble": ("dribbble.com", [r"(\w+)"]),
    "Gravatar": ("gravatar.com", [r"(\w+)"]),
    "Pinboard": ("pinboard.in", [r"u:(\w+)"]),
    "Wordpress": ("profiles.wordpress.org", [r"(\w+)"]),
    "Gumroad": ("gumroad.com", [r"(\w+)"]),
    "Ko-fi": ("ko-fi.com", [r"(\w+)"]),
    "Twitch": ("twitch.tv", [r"(\w+)"]),
    "Soundcloud": ("soundcloud.com", [r"(\w+)"]),
    "Asmodee": ("account.asmodee.net", [r"en/profile/(\d+)"]),
    "Wikipedia (EN) User": ("en.wikipedia.org", [r"wiki/User:(\w+)"]),
    "Wikipedia (EN) Notable Person": ("en.wikipedia.org", [r"wiki/([\w\(\)_]+)"]),
    "Cash App": ("cash.me", [r"\$(\w+)"]),
    "Kit": ("kit.co", [r"(\w+)"]),
    "PayPal": ("paypal.me", [r"(\w+)"]),
    "Speaker Deck": ("speakerdeck.com", [r"(\w+)"]),
    "WeChat": ("u.wechat.com", [r"([\w\W]+)"]),
    "Venmo": ("venmo.com", [r"(\w+)"]),
    "Duolingo": ("duolingo.com", [r"profile/(\w+)"]),
    "SlideShare": ("slideshare.net", [r"(\w+)"]),
    "W3": ("w3.org", [r"users/(\w+)"]),
    "YouTube": ("youtube.com", [r"(\w+)"]),
    "Vimeo": ("vimeo.com", [r"(\w+)"]),
    "500px": ("500px.com", [r"(\w+)"]),
    "Findery": ("findery.com", [r"(\w+)"]),
    "Untappd": ("untappd.com", [r"user/(\w+)"]),
    "del.icio.us": ("del.icio.us", [r"(\w+)"]),
    "Pocket": ("getpocket.com", [r"@(\w+)"]),
    "Huffduffer": ("huffduffer.com", [r"(\w+)"]),
    "Hypothesis": ("hypothes.is", [r"users/(\w+)"]),
    "Lobsters": ("lobste.rs", [r"u/(\w+)"]),
    "Medium": ("medium.com", [r"@(\w+)"]),
    "Myspace": ("myspace.com", [r"(\d+)"]),
    "Hacker News": ("news.ycombinator.com", [r"user\?id=(\w+)"]),
    "Nextdoor": ("nextdoor.com", [r"profile/(\d+)"]),
    "Spotify": ("open.spotify.com", [r"user/(\w+)"]),
    "Pinterest": ("pinterest.com", [r"(\w+)"]),
    "Pnut": ("pnut.io", [r"@(\w+)"]),
    "Upcoming": ("upcoming.org", [r"@(\w+)"]),
    "Diggo": ("diigo.com", [r"profile/(\w+)"]),
    "Goodreads": ("goodreads.com", [r"user/show/(\d+)"]),
    "Notist": ("noti.st", [r"(\w+)"]),
    "Kickstarter": ("kickstarter.com", [r"profile/([\w-]+)"]),
    "CodePen": ("codepen.io", [r"([\w-]+)"]),
    "Listen Notes": ("listennotes.com", [r"@(\w+)"]),
    "Meetup": ("meetup.com", [r"members/(\d+)"]),
    "Patreon": ("patreon.com", [r"(\w+)"]),
    "Periscope": ("periscope.tv", [r"(\w+)"]),
    "Quora": ("quora.com", [r"([\W\w]+)"]),
    "eBird": ("ebird.org", [r"profile/([\W\w]+)"]),
    "Stack Overflow": ("stackoverflow.com", [r"users/(\d+/\w+)"]),
    "npm": ("npmjs.com", [r"~(\w+)"]),
    "Trakt": ("trakt.tv", [r"users/(\w+)"]),
    "ORCID": ("orcid.org", [r"([\d-]+)"]),
    "Wishlistr": ("wishlistr.com", [r"(\w+)"]),
    "GitLab": ("gitlab.com", [r"(\w+)"]),
    "AngelList": ("angel.co", [r"(\w+)"]),
    "OpenStreetMap": ("openstreetmap.org", [r"user/(\w+)"]),
    "Google+": ("plus.google.com", [r"\+(\w+)"]),
}
